## libreoffice 24.2.5

=== android/source/Makefile ===
ifeq ($(BUILDDIR),)
gb_Side:=host
include ../../config_host.mk
endif

# The default target just builds.

all: build-gradle

DISABLE_UI=TRUE
BOOTSTRAPDIR=../Bootstrap
include $(BOOTSTRAPDIR)/Makefile.shared

native-code.cxx: $(SRCDIR)/solenv/bin/native-code.py
	@echo "[build PY ] $@"
	$< -j -g core -g writer -g calc -g draw -g edit > $@

install:
	if test "$$ENABLE_ANDROID_LOK" != "TRUE" ; then ./gradlew $(if $(verbose),--info) $(if $(versionCode),-PcmdVersionCode=$(versionCode)) install$(if $(DISABLE_UI),StrippedUI,FullUI)$(if $(ENABLE_ANDROID_EDITING),Editing)Debug ; fi
	@if test "$$ENABLE_ANDROID_LOK" != "TRUE" ; then echo ; echo 'Run it with "make run"' ; echo ; fi

uninstall:
	$(ANDROID_SDK_DIR)/platform-tools/adb uninstall $(ANDROID_PACKAGE_NAME)

clean:
	rm -rf assets assets_fullUI assets_strippedUI build jniLibs jniLibs_debug $(OBJLOCAL)
	rm -f native-code.cxx
	rm -f liboSettings.gradle

build-gradle: liboSettings.gradle local.properties link-so
ifeq ($(ENABLE_JAVA),TRUE)
	if test "$$ENABLE_ANDROID_LOK" != "TRUE" ; then ./gradlew $(if $(verbose),--info) $(if $(versionCode),-PcmdVersionCode=$(versionCode)) assemble$(if $(DISABLE_UI),StrippedUI,FullUI)$(if $(ENABLE_ANDROID_EDITING),Editing)$(if $(ENABLE_RELEASE_BUILD),Release,Debug) ; fi
endif

run:
	if test "$$ENABLE_ANDROID_LOK" != "TRUE" ; then $(ANDROID_SDK_DIR)/platform-tools/adb shell am start -n $(ANDROID_PACKAGE_NAME)/org.libreoffice.ui.LibreOfficeUIActivity ; fi

debugrun:
	@echo "please debug with lldb from within Android Studio, or setup ndk-gdb manually (see android/README for details)"

=== debian/changelog ===
libreoffice (4:24.2.5-1~bpo12+1) bookworm-backports; urgency=medium

  * rebuild for bookworm-backports 

  * revert t64 rename for bookworm-backports

  * debian/source/include-binaries, tarballs/*: include
    tarballs/frozen-1.1.1.tar.gz
    tarballs/mdds-2.1.1.tar.xz
    tarballs/liborcus-0.19.2.tar.xz
    tarballs/libcmis-0.6.1.tar.xz

 -- Rene Engelhard <rene@debian.org>  Fri, 12 Jul 2024 14:44:31 +0000

libreoffice (4:24.2.5-1) unstable; urgency=medium

  * New upstream release

  * debian/rules:
    - go sure and build-depend on libgtk-4-dev >= 4.10 (needed for
      accessibility stuff for example) on sid
    - build-depend on pkgconf instead of pkg-config

 -- Rene Engelhard <rene@debian.org>  Wed, 10 Jul 2024 17:15:44 +0000

=== debian/control ===
#
# NOTE: This file is autogenerated. DO NOT manually edit it! 
# Edit debian/control*in and rules (whatever applicable), run debian/rules control
# and move control.new to control if the difference is sane.
#
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: autoconf,
               automake,
               bc,
               binutils (>= 2.37-9) [ppc64],
               bison,
               bzip2,
               debhelper-compat (= 12),
               default-jdk (>= 2:1.9) [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !powerpcspe !s390 !sparc !ppc64el !s390x !armhf] <!nojava>,
               dh-python <!nopython>,
               flex,
               g++ (>= 4:12),
               gcc (>= 4:12),
               gperf,
               java-common <!nojava>,
               javahelper [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               junit4 [amd64 arm64] <!nocheck !nojava>,
               libabw-dev (<< 0.2~),
               libabw-dev (>= 0.1),
               libarchive-zip-perl [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libargon2-dev,
               libbase-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-locale-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libbox2d-dev,
               libbsh-java <!nojava>,
               libcairo2-dev,
               libcdr-dev (<< 0.2~),
               libcdr-dev (>= 0.1),
               libclucene-dev,
               libcups2-dev,
               libcurl4-gnutls-dev,
               libdconf-dev (>= 0.40),
               libdragonbox-dev,
               libe-book-dev (<< 0.2~),
               libe-book-dev (>= 0.1),
               libeot-dev,
               libepoxy-dev,
               libepubgen-dev (<< 0.2~),
               libepubgen-dev (>= 0.1.0),
               libetonyek-dev,
               libetonyek-dev (<< 0.2~),
               libexpat1-dev,
               libexttextcat-dev,
               libfixmath-dev,
               libflute-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libfontconfig-dev,
               libfonts-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libformula-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libfreehand-dev (<< 0.2~),
               libfreehand-dev (>= 0.1),
               libfreetype-dev,
               libgl-dev,
               libglib2.0-dev,
               libglm-dev,
               libgraphite2-dev,
               libharfbuzz-dev (>= 5.1.0),
               libhsqldb1.8.0-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libhunspell-dev,
               libhyphen-dev,
               libice-dev,
               libicu-dev,
               libjpeg-dev,
               libkrb5-dev,
               liblangtag-dev,
               liblayout-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               liblcms2-dev,
               libloader-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               liblockfile-bin,
               libmspub-dev (<< 0.2~),
               libmspub-dev (>= 0.1),
               libmwaw-dev (<< 0.4~),
               libmwaw-dev (>= 0.3.21),
               libmythes-dev,
               libnspr4-dev,
               libnss3-dev,
               libnumbertext-dev,
               libodfgen-dev (<< 0.2~),
               libodfgen-dev (>= 0.1),
               libpagemaker-dev,
               libpagemaker-dev (<< 0.1~),
               libpentaho-reporting-flow-engine-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-dev,
               libpoppler-private-dev,
               libqxp-dev,
               libqxp-dev (<< 0.1~),
               librdf0-dev,
               librepository-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               librevenge-dev,
               librevenge-dev (<< 0.1~),
               libsac-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libsane-dev,
               libserializer-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libsm-dev,
               libstaroffice-dev,
               libstaroffice-dev (<< 0.1~),
               libsuitesparse-dev,
               libtiff-dev,
               libvisio-dev (<< 0.2~),
               libvisio-dev (>= 0.1),
               libwebp-dev,
               libwpd-dev (<< 0.11~),
               libwpd-dev (>= 0.10),
               libwpg-dev (<< 0.4~),
               libwpg-dev (>= 0.3),
               libwps-dev (<< 0.5~),
               libwps-dev (>= 0.4),
               libx11-dev,
               libx11-xcb-dev,
               libxaw7-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libxml2-dev,
               libxml2-utils,
               libxmlsec1-dev (>= 1.2.35),
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libzmf-dev,
               libzmf-dev (<< 0.1~),
               libzxcvbn-dev,
               libzxing-dev,
               maven-repo-helper [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               pkgconf,
               python3,
               python3-dev <!nopython>,
               python3-setuptools <!nopython>,
               unixodbc-dev,
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Arch: at-spi2-core [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    clang [!alpha !hppa !ia64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390x !sparc !sparc64],
                    coinor-libcoinmp-dev,
                    coinor-libcoinutils-dev,
                    dbus-x11 [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    firebird-dev [!m68k],
                    firebird3.0-server-core [!m68k] <!nocheck>,
                    fontconfig [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                    fonts-crosextra-caladea [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                    fonts-crosextra-carlito (<< 20230309) [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                    fonts-dejavu [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                    fonts-hosny-amiri [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                    fonts-liberation2 [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                    fonts-linuxlibertine [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                    fonts-noto-core [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                    fonts-opensymbol <!pkg.libreoffice.opensymbolbuild>,
                    gdb [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    ghostscript [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    gobject-introspection <!nogir>,
                    gpg [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    gpg-agent [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    gpgconf [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    hunspell-en-us [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    hyphen-en-us [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    hyphen-es [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    imagemagick [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    libabsl-dev [alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
                    libatk1.0-dev,
                    libatspi2.0-dev [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    libavahi-client-dev,
                    libcairo2-dev,
                    libcppunit-dev (>= 1.15.1-4) [amd64 arm64 armhf] <!nocheck>,
                    libcppunit-dev <!nocheck>,
                    libdbus-1-dev,
                    libebook1.2-dev,
                    libgirepository1.0-dev <!nogir>,
                    libglib2.0-dev,
                    libgpg-error-dev,
                    libgpgme-dev,
                    libgpgmepp-dev,
                    libgstreamer-plugins-base1.0-dev,
                    libgstreamer1.0-dev,
                    libgtk-3-dev,
                    libgtk-4-dev,
                    libkf5config-dev,
                    libkf5coreaddons-dev,
                    libkf5i18n-dev,
                    libkf5kio-dev,
                    libkf5windowsystem-dev,

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2023 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Portions Copyright 2011-2013 Canonical Ltd. Author: Bjoern Michaelsen
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

include /usr/share/dpkg/pkg-info.mk
CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
BINARY_VERSION=$(DEB_VERSION)
OOVER:=24.2
HELP_L10N_VIRTUAL_VERSION:=$(OOVER)
ifeq "$(shell echo $(OOVER) | cut -d. -f2)" "2"
# 24.2 + .6 -> 24.8 -> OK
NEXT_OOVER=$(shell echo "$(OOVER) + .6" | bc)
else
# 24.8 + .6 = 25.4 -> wrong (doesn't take into account that the year
# has 12 months)so subtract 2 (so effectively + .4) to get back to February (25.2),
# which is supposed to be the schedule.
NEXT_OOVER=$(shell echo "$(OOVER) + .4" | bc)
endif

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -a)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

ifneq (,$(shell pwd | grep autopkgtest))
AUTOPKGTEST_BUILD=y
$(warning Build for autopkgtest)
endif
AUTOPKGTEST_CPPUNIT_PACKAGES := $(shell dh_listpackages | grep -v help | grep -v l10n | grep -v dev-doc | grep -v "nogui$$")

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
SHELL:=/bin/bash

SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(..\..\)\../\1/p' | cut -d" " -f1 | cut -d. -f1)
SYSTEM_CLANG_VERSION = $(shell clang -v 2>&1 | head -n1 | awk '{ print $$4 }' | cut -d. -f1)

PKGDIR:=debian/libreoffice
OODIRNAME=libreoffice
OODIR:=usr/lib/$(OODIRNAME)
OOSDKDIR:=$(OODIR)/sdk

# Figure out who's building this package.
ifneq "$(DEB_VENDOR)" "Debian"
OOO_VENDOR:=The Document Foundation, $(DEB_PARENT_VENDOR) and $(DEB_VENDOR)
else
OOO_VENDOR=The Document Foundation/$(DEB_VENDOR)
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

SOURCE_TREE=.
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/tarballs
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=y
USE_GIT_TARBALLS=n
ifeq "$(USE_GIT_TARBALLS)" "y"
GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
# NOT in proper libreoffice-3-6 branch
# use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
GIT_TAG=libreoffice-$(lo_sources_ver)
GIT_BRANCH=libreoffice-24-2-5
endif
ifeq "$(USE_SOURCE_TARBALLS)" "y"
lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
endif

#########
# Default package configuration
#
# FIXME: Should riscv64 be here at all given it doesn't support NaN payload propagation which LO (at least Calc) needs?
# see https://bugs.documentfoundation.org/show_bug.cgi?id=152943 and https://lists.debian.org/debian-riscv/2024/01/msg00018.html
OOO_ARCHS = alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64
DEBIAN_MAIN_ARCHITECTURES = amd64 arm64 armel armhf i386 mipsel mips64el ppc64el riscv64 s390x
PATCHSET=$(DEB_VENDOR)
BUILD_DEPS=\
    autoconf,\
    automake,\
    bc,\
    bison,\
    bzip2,\
    flex, \
    gperf,\
    libfreetype-dev,\
    libfontconfig-dev,\
    pkgconf,\
    unzip,\
    xsltproc,\
    zip,\
    zlib1g-dev\

BUILD_DEPS_INDEP += rdfind, symlinks

# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

ENABLE_GUI=y

ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
ENABLE_PYTHON=y
ifeq "$(ENABLE_PYTHON)" "y"
  CONFIGURE_FLAGS += --enable-python=system
  ENABLE_SCRIPT_PROVIDER_PYTHON=y
  PACKAGE_LIBRELOGO=y
endif
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402. Also
# note we are NOT working with python < 2.6 anymore!
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python3
  export PYTHON
else
  # somehow configure insists on using python3 "for pyuno". The only way to
  # override this (afaics) is this...
  PYTHON=python$(PYTHON_VERSION)
  PYTHON_CFLAGS=$(shell pkg-config --cflags python-$(PYTHON_VERSION))
  PYTHON_LIBS=$(shell pkg-config --libs python-$(PYTHON_VERSION))
  export PYTHON PYTHON_VERSION PYTHON_CFLAGS PYTHON_LIBS
endif
endif
BUILD_ONLY_EN_US=n
ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
  include /usr/share/java/java_defaults.mk
  ifneq "$(BOOKWORM_BACKPORT)" "y"
    ifneq ($(DEB_HOST_ARCH),$(filter-out $(DEB_HOST_ARCH),$(java_unsupported_architectures)))
      ENABLE_JAVA=y
    endif
   else
      ENABLE_JAVA=y
   endif
  ifeq "$(ENABLE_JAVA)" "y"
    JDK=default
    ifneq "$(JDK)" "default"
      JAVA_MAINVER=17
    endif
  endif
else
  ENABLE_JAVA=n
endif
#JAVAHELPER_MIN_VERSION=
SYSTEM_STUFF += hunspell
SYSTEM_STUFF += altlinuxhyph
SYSTEM_STUFF += boost
BOOST_VERSION=default
# libmdds-dev depends on libboost-dev, which will be removed
# when you install a non-default libboostX.Y-dev
ifeq "$(BOOST_VERSION)" "default"
SYSTEM_STUFF += mdds
endif
USE_EXTERNAL_CXXLIBS=y
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
SYSTEM_STUFF += librevenge
SYSTEM_STUFF += libwpd libwpg libwps
SYSTEM_STUFF += libvisio
SYSTEM_STUFF += libcdr
SYSTEM_STUFF += libmspub
SYSTEM_STUFF += libmwaw
SYSTEM_STUFF += libodfgen
SYSTEM_STUFF += libepubgen
SYSTEM_STUFF += libetonyek
SYSTEM_STUFF += libfreehand
# this is libe-book, NOT evolutions libebook (which is
# dlopen()'ed anyway and whose headers we need from the
# system anyways if enabled
SYSTEM_STUFF += libebook
SYSTEM_STUFF += libabw
SYSTEM_STUFF += libpagemaker
SYSTEM_STUFF += libzmf
SYSTEM_STUFF += libstaroffice
SYSTEM_STUFF += libqxp
ENABLE_ZXING=y
SYSTEM_STUFF += zxing
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
ENABLE_GPGMEPP=y
ifeq "$(ENABLE_GUI)" "y"
BUILD_PLASMA=y
# let's assume we won't ship two plasmas parallel..
PLASMA_VERSION=5
PLASMA_KF_VERSION=$(PLASMA_VERSION)
ENABLE_QT5=n
#QT5_MINVER=
ENABLE_KF5=y
ENABLE_QT6=y
ENABLE_KF6=n
endif
# go sure. if we want plasma, we want kfX, too and if we want that
# one we want qtX, too.
ifeq "$(BUILD_PLASMA)" "y"
   ifeq "$(PLASMA_VERSION)" "5"
     ENABLE_KF5=y
   endif
   ifeq "$(PLASMA_VERSION)" "6"
	ENABLE_KF6=y
  endif
endif
# KF5 depends on Qt5
ifeq "$(ENABLE_KF5)" "y"
  ENABLE_QT5=y
  KF5_QT5_DEPENDS := libreoffice-qt5 (= $${binary:Version})
endif
# KF6 depends on Qt6
ifeq "$(ENABLE_KF6)" "y"
  ENABLE_QT6=y
  KF6_QT6_DEPENDS := libreoffice-qt6 (= $${binary:Version})
endif
# https://www.debian.org/doc/debian-policy/ says this is not defined and must
# be ignored, but dh_strip mentions (and honours) it, so...
ifneq (noautodbgsym,$(findstring noautodbgsym,$(DEB_BUILD_OPTIONS)))
BUILD_DBGSYM_PACKAGES=y
ifeq "$(DEB_HOST_ARCH)" "amd64"
USE_DWZ=y
DWZ_ARGS:=-L 100000000
endif
endif
SYSTEM_STUFF += xmlsec
SYSTEM_STUFF += zxcvbn

ifeq ($(filter noinsttest,$(DEB_BUILD_PROFILES)),)

=== debian/tests/control ===
#
# NOTE: This file is autogenerated. DO NOT manually edit it! 
# Edit debian/tests/control*in and rules (whatever applicable), run debian/rules control
# and move control.new to control if the difference is sane.
#
Tests: testtools-bridgetest-without-java
Depends: @builddeps@, ure
Restrictions: allow-stderr, rw-build-tree, superficial

Tests: testtools-bridgetest-with-java
Architecture: alpha amd64 arm64 armel i386 ia64 m68k mipsel mips64el powerpc ppc64 riscv64 sparc64 mips
Depends: @builddeps@, ure-java, liblibreoffice-java, default-jdk
Restrictions: allow-stderr, rw-build-tree, superficial

Tests: pyuno-import, uno-import
Depends: python3, python3-uno
Restrictions: superficial

Tests: access2base-import
Depends: python3, python3-access2base
Restrictions: superficial

Tests: scriptforge-import
Depends: python3, python3-scriptforge
Restrictions: superficial

## Is there a need for this small test given we run the UI tests etc.?
#Tests: smoketest
#Architecture: amd64 arm64 armhf
#Depends: @builddeps@, libreoffice-smoketest-data, libreoffice-dev, libreoffice-core, libreoffice-writer, libreoffice-calc, libreoffice-impress, libreoffice-math, libreoffice-base, libreoffice-sdbc-hsqldb, libreoffice-sdbc-firebird
#Restrictions: allow-stderr, build-needed, rw-build-tree, superficial

# this is already done by smoketest upstream, but fails when doing it against
# the installed LO. works standalone, though, so it's patched out of the
# smoketest. Do it here separately.
Tests: test-extension
Architecture: amd64 arm64 i386 ppc64
Depends: libreoffice-core-nogui, libreoffice-common, libreoffice-java-common, libreoffice-smoketest-data, default-jdk
Restrictions: allow-stderr, superficial, skippable

Tests: test-extension-shared
Architecture: amd64 arm64 i386 ppc64
Depends: libreoffice-core-nogui, libreoffice-common, libreoffice-java-common, libreoffice-smoketest-data, default-jdk
Restrictions: allow-stderr, needs-root, superficial

# in the following some tests need RTL and CJK language packs installed to pass.
# he is the example for RTL, zh-tw for CJK (and zh-tw was choosen to also test xx-YY locales)

# Maybe all those tests should be merged into one (especially for the "small" ones like writerperfect or
# "tiny" ones like sfx2,svx,cui.
# But it already takes ~1.5 h (though including copy..) for all them to run on amd64 and the overall autopkgtest
# test timeout is 166 min (a bit over 2.5 hrs.). What are we doing on slow archs?
# And secondly. one might miss breakage if Java or another package is not installed but is
# required because everything needed would be in Depends: then for one test...
# Try to optimize a bit though by not sorting alphabetically but where the  new packages are a superset so
# we can reuse the testbed

Tests: uicheck-sfx2
Depends: @builddeps@, libreoffice-core, libreoffice-impress, python3-uno
Restrictions: allow-stderr

Tests: uicheck-svx
Depends: @builddeps@, libreoffice-core, libreoffice-impress, python3-uno

## libreoffice 24.2.6

=== debian/changelog ===
libreoffice (4:24.2.6-1revyos1) unstable; urgency=medium

  [ CHEN xuan ]
  * Remove NaN payload related tests.

 -- Han Gao <gaohan@iscas.ac.cn>  Fri, 06 Sep 2024 10:43:20 +0800

libreoffice (4:24.2.6-1) unstable; urgency=medium

  * New upstream release

  * debian/rules: split check target into build-tests and check.
    Set BUILD_ONLY_EN_US=y for the build inside autopkgtest
  * debian/control.in, debian/fake-build-tests: handle new autopkgtest
    which does a nocheck build by running build-tests before attempting to
    run the tests. Subject to timeout at 150m/160m. Change mkdir -ps to
    touch since that also works
  * debian/tests/{cppunit-subsequent,slow,unit}check: skip if
    fake-build-tests get timeout (aka skipped)
  * debian/rules, debian/control.{mysql,}.in: ensure the mysql test is
    always last

 -- Rene Engelhard <rene@debian.org>  Mon, 02 Sep 2024 22:06:07 +0200

libreoffice (4:24.2.5-4) unstable; urgency=medium

  * debian/patches/jdk-minimal-and-zero-paths.diff: add new
    minimal/zero JDK paths as of OpenJDK 21, thanks
    WANG Xuerui <i.salsa@xen0n.name> (closes: #1079438).
    Keep Java disabled on armel though for consistency with armhf

  * debian/patches/moreIconsDialog-accesses-internet.diff: fix logic
  * debian/tests/control.in: go sure and add needs-internet restriction here,
    too (it runs a additiondialog UI test)

 -- Rene Engelhard <rene@debian.org>  Sun, 25 Aug 2024 13:06:48 +0200

libreoffice (4:24.2.5-3) unstable; urgency=medium

  * debian/rules: add armel to JAVA_BRIDGE_BROKEN_ARCHS

 -- Rene Engelhard <rene@debian.org>  Fri, 09 Aug 2024 17:22:35 +0200
 

libreoffice (4:24.2.5-2) unstable; urgency=medium

  * debian/patches/gcc-14-armhf-registers.diff: remove explicit mention
    of r0 and r1 registers to fix build with gcc 14 on armhf

 -- Rene Engelhard <rene@debian.org>  Fri, 09 Aug 2024 06:16:35 +0200

=== debian/control ===
--- 
+++ 
@@ -15,36 +15,39 @@
                bison,
                bzip2,
                debhelper-compat (= 12),
-               default-jdk (>= 2:1.9) [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !powerpcspe !s390 !sparc !ppc64el !s390x !armhf] <!nojava>,
+               default-jdk (>= 2:1.9) [!hppa !hurd-amd64 !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !powerpcspe !s390 !sparc !ppc64el !s390x !armhf !armel] <!nojava>,
                dh-python <!nopython>,
+               dpkg-dev (>= 1.22.5) [armel armhf hppa kfreebsd-i386 m68k mips mipsel powerpc powerpcspe sparc],
                flex,
                g++ (>= 4:12),
+               g++-12 [i386],
                gcc (>= 4:12),
+               gcc-12 [i386],
                gperf,
-               java-common <!nojava>,
-               javahelper [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               java-common (>= 0.75) <!nojava>,
+               javahelper [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                junit4 [amd64 arm64] <!nocheck !nojava>,
                libabw-dev (<< 0.2~),
                libabw-dev (>= 0.1),
-               libarchive-zip-perl [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               libarchive-zip-perl [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                libargon2-dev,
-               libbase-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               libbase-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                libbluetooth-dev [linux-any],
                libboost-date-time-dev,
                libboost-dev,
                libboost-filesystem-dev,
                libboost-iostreams-dev,
                libboost-locale-dev,
-               libboost-program-options-dev,
-               libboost-system-dev,
                libbox2d-dev,
                libbsh-java <!nojava>,
                libcairo2-dev,
                libcdr-dev (<< 0.2~),
                libcdr-dev (>= 0.1),
                libclucene-dev,
+               libcmis-dev (<< 0.7~),
+               libcmis-dev (>= 0.6.1~),
                libcups2-dev,
-               libcurl4-gnutls-dev,
+               libcurl4-openssl-dev,
                libdconf-dev (>= 0.40),
                libdragonbox-dev,
                libe-book-dev (<< 0.2~),
@@ -58,19 +61,20 @@
                libexpat1-dev,
                libexttextcat-dev,
                libfixmath-dev,
-               libflute-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               libflute-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                libfontconfig-dev,
-               libfonts-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
-               libformula-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               libfonts-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               libformula-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                libfreehand-dev (<< 0.2~),
                libfreehand-dev (>= 0.1),
                libfreetype-dev,
+               libfrozen-dev,
                libgl-dev,
                libglib2.0-dev,
                libglm-dev,
                libgraphite2-dev,
                libharfbuzz-dev (>= 5.1.0),
-               libhsqldb1.8.0-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               libhsqldb1.8.0-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                libhunspell-dev,
                libhyphen-dev,
                libice-dev,
@@ -78,10 +82,12 @@
                libjpeg-dev,
                libkrb5-dev,
                liblangtag-dev,
-               liblayout-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               liblayout-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                liblcms2-dev,
-               libloader-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               libloader-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                liblockfile-bin,
+               libmdds-dev (<< 2.2~),
+               libmdds-dev (>= 2.1),
                libmspub-dev (<< 0.2~),
                libmspub-dev (>= 0.1),
                libmwaw-dev (<< 0.4~),
@@ -92,9 +98,11 @@
                libnumbertext-dev,
                libodfgen-dev (<< 0.2~),
                libodfgen-dev (>= 0.1),
+               liborcus-dev (<< 0.20~),
+               liborcus-dev (>= 0.19.1),
                libpagemaker-dev,
                libpagemaker-dev (<< 0.1~),
-               libpentaho-reporting-flow-engine-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               libpentaho-reporting-flow-engine-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                libpng-dev,
                libpoppler-cpp-dev,
                libpoppler-dev,
@@ -102,12 +110,12 @@
                libqxp-dev,
                libqxp-dev (<< 0.1~),
                librdf0-dev,
-               librepository-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               librepository-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                librevenge-dev,
                librevenge-dev (<< 0.1~),
-               libsac-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               libsac-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                libsane-dev,
-               libserializer-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               libserializer-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                libsm-dev,
                libstaroffice-dev,
                libstaroffice-dev (<< 0.1~),
@@ -128,7 +136,7 @@
                libxext-dev,
                libxinerama-dev,
                libxkbfile-dev,
-               libxml-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               libxml-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                libxml2-dev,
                libxml2-utils,
                libxmlsec1-dev (>= 1.2.35),
@@ -141,7 +149,7 @@
                libzmf-dev (<< 0.1~),
                libzxcvbn-dev,
                libzxing-dev,
-               maven-repo-helper [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
+               maven-repo-helper [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
                pkgconf,
                python3,
                python3-dev <!nopython>,
@@ -161,10 +169,10 @@
                     firebird3.0-server-core [!m68k] <!nocheck>,
                     fontconfig [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                     fonts-crosextra-caladea [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
-                    fonts-crosextra-carlito (<< 20230309) [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
+                    fonts-crosextra-carlito (>= 20230309) [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                     fonts-dejavu [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                     fonts-hosny-amiri [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
-                    fonts-liberation2 [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
+                    fonts-liberation (>= 1:2) [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                     fonts-linuxlibertine [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                     fonts-noto-core [amd64 arm64 armhf armel i386 ppc64el s390x riscv64] <!nocheck>,
                     fonts-opensymbol <!pkg.libreoffice.opensymbolbuild>,
@@ -192,12 +200,3 @@
                     libgpg-error-dev,
                     libgpgme-dev,
                     libgpgmepp-dev,
-                    libgstreamer-plugins-base1.0-dev,
-                    libgstreamer1.0-dev,
-                    libgtk-3-dev,
-                    libgtk-4-dev,
-                    libkf5config-dev,
-                    libkf5coreaddons-dev,
-                    libkf5i18n-dev,
-                    libkf5kio-dev,
-                    libkf5windowsystem-dev,

=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,7 @@
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-24-2-5
+GIT_BRANCH=libreoffice-24-2-6
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
@@ -95,7 +95,7 @@
 # FIXME: Should riscv64 be here at all given it doesn't support NaN payload propagation which LO (at least Calc) needs?
 # see https://bugs.documentfoundation.org/show_bug.cgi?id=152943 and https://lists.debian.org/debian-riscv/2024/01/msg00018.html
 OOO_ARCHS = alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64
-DEBIAN_MAIN_ARCHITECTURES = amd64 arm64 armel armhf i386 mipsel mips64el ppc64el riscv64 s390x
+DEBIAN_MAIN_ARCHITECTURES = amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x
 PATCHSET=$(DEB_VENDOR)
 BUILD_DEPS=\
     autoconf,\

=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Restrictions: allow-stderr, rw-build-tree, superficial
 
 Tests: testtools-bridgetest-with-java
-Architecture: alpha amd64 arm64 armel i386 ia64 m68k mipsel mips64el powerpc ppc64 riscv64 sparc64 mips
+Architecture: alpha amd64 arm64 i386 ia64 loong64 mipsel mips64el powerpc ppc64 riscv64 sparc64 m68k mips
 Depends: @builddeps@, ure-java, liblibreoffice-java, default-jdk
 Restrictions: allow-stderr, rw-build-tree, superficial
